10 ! BINSRD
	! PROGRAM TO TEST NEW BINARY SEARCH
100 DIM R$[12],S$[254]
110 LOAD "BINSRD.ATK"
120 R0=0 : R1=0 : RC=254
130	OPEN #4,"TRNINDV2.SRT/RN/LN:12/RO" :
	OPEN #5,"LEVEL1.DAT/RN/LN:254/RO"
140 CALL "BINSRC"("38856",4,R0,R1,RC)
150	PRINT "INDEX FILE RECORD # ";R0
160	INPUT LINE #4@R0,R$
170	PRINT "INDEX FILE RECORD   ";SBS$(R$,7)
180 ! CALL "DBLBIN"(R$,R1)
190	PRINT "LEVEL FILE RECORD # ";R1
200	INPUT LINE #5@R1,S$
210	PRINT "LEVEL FILE RECORD   ";LEFT(S$,50) :
	PRINT "                    ";SBS$(S$,51,50) :
	PRINT "                    ";SBS$(S$,101,50) :
	PRINT "                    ";SBS$(S$,151,50) :
	PRINT "                    ";SBS$(S$,201,50) :
	PRINT "                    ";SBS$(S$,251)
220 STOP
